Bug 228833 - editors/emacs: GNUS fails to find movemail program after update to 26.1
Summary: editors/emacs: GNUS fails to find movemail program after update to 26.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-08 18:27 UTC by Bengt Ahlgren
Modified: 2018-06-12 17:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (emacs)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bengt Ahlgren 2018-06-08 18:27:44 UTC
With the update to emacs 26.1, GNUS fails to find the movemail program without manual configuration.  I see that the emacs internal movemail program now isn't any more installed when the MAILUTILS config option is turned on.  Perhaps it isn't even built then?

Possible fixes (with MAILUTILS option on):

* create a link at install time from /usr/local/libexec/emacs/26.1/amd64-portbld-freebsd11.1/movemail to /usr/local/bin/movemail

* change the default of mail-source-movemail-program in /usr/local/share/emacs/26.1/lisp/gnus/mail-source.el.gz to "/usr/local/bin/movemail"

The workaround is simple:

(setq mail-source-movemail-program "/usr/local/bin/movemail")

but I think this should work out-of-the-box!
Comment 1 Joseph Mingrone freebsd_committer 2018-06-10 01:59:44 UTC
A fix is coming.  https://reviews.freebsd.org/D15728
Comment 2 commit-hook freebsd_committer 2018-06-12 16:04:03 UTC
A commit references this bug:

Author: jrm
Date: Tue Jun 12 16:03:57 UTC 2018
New revision: 472261
URL: https://svnweb.freebsd.org/changeset/ports/472261

Log:
  Emacs ports: Improve consistency between the two Emacs ports and...

  - [1] Do not link liblockfile when MAILUTILS option is off.  Users who want
    mail functionality should turn on the MAILUTILS option.  See PR 227799.

  - [2] Create a link under exec_directory pointing to
    ${PREFIX}/bin/movemail.  See upstream bug https://bugs.gnu.org/31737 and
    PR 228833.

  - Based on user feedback, change the package name for the nox flavor of
    editors/emacs-devel from emacs-devel_nox to emacs-devel-nox.  The
    original motivation for naming the package emacs-devel_nox was so that
    PKGNAMESUFFIX would match the flavor names for USES=emacs ports and
    flavor names cannot contain '-'.

  - Remove patches that are no longer necessary.  The patch
    emacs-devel/files/patch-configure.ac is no longer necessary because 10.3,
    which included an old version of texinfo in base, is EOL.  The lldb-gud
    patch is no longer necessary because the LLDB option has been removed.

  - Update editors/emacs-devel to a newer commit on the upstream master
    branch.

  - Customize COMMENT for nox flavor of editors/emacs-devel.

  PR:		227799 [1], 228833 [2]
  Submitted by:	yasu@utahime.org [1], bengta@sics.se [2]
  Approved by:	ashish
  Differential Revision:	https://reviews.freebsd.org/D15728

Changes:
  head/UPDATING
  head/editors/emacs/Makefile
  head/editors/emacs/pkg-plist
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo
  head/editors/emacs-devel/files/extrapatch-lldb-gud.el
  head/editors/emacs-devel/files/patch-configure.ac
  head/editors/emacs-devel/pkg-plist
Comment 3 Joseph Mingrone freebsd_committer 2018-06-12 16:07:10 UTC
A workaround was added to editors/emacs and editors/emacs-devel.  Thank you.
Comment 4 Bengt Ahlgren 2018-06-12 17:19:20 UTC
That was quick - thanks a lot!  Keep up the good work!